com.amazonaws.services.cloudfront.model

## Class ListStreamingDistributionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.ListStreamingDistributionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListStreamingDistributionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to list your streaming distributions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListStreamingDistributionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListStreamingDistributionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMarker()` The value that you provided for the `Marker` request parameter.
`String` `getMaxItems()` The value that you provided for the `MaxItems` request parameter.
`int` `hashCode()`
`void` `setMarker(String marker)` The value that you provided for the `Marker` request parameter.
`void` `setMaxItems(String maxItems)` The value that you provided for the `MaxItems` request parameter.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListStreamingDistributionsRequest` `withMarker(String marker)` The value that you provided for the `Marker` request parameter.
`ListStreamingDistributionsRequest` `withMaxItems(String maxItems)` The value that you provided for the `MaxItems` request parameter.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListStreamingDistributionsRequest

    public ListStreamingDistributionsRequest()

### Method Detail

#### setMarker

    public void setMarker(String marker)

The value that you provided for the `Marker` request parameter.

Parameters:
  `marker` - The value that you provided for the `Marker` request parameter.

#### getMarker

    public String getMarker()

The value that you provided for the `Marker` request parameter.

Returns:
  The value that you provided for the `Marker` request parameter.

#### withMarker

    public ListStreamingDistributionsRequest withMarker(String marker)

The value that you provided for the `Marker` request parameter.

Parameters:
  `marker` - The value that you provided for the `Marker` request parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(String maxItems)

The value that you provided for the `MaxItems` request parameter.

Parameters:
  `maxItems` - The value that you provided for the `MaxItems` request parameter.

#### getMaxItems

    public String getMaxItems()

The value that you provided for the `MaxItems` request parameter.

Returns:
  The value that you provided for the `MaxItems` request parameter.

#### withMaxItems

    public ListStreamingDistributionsRequest withMaxItems(String maxItems)

The value that you provided for the `MaxItems` request parameter.

Parameters:
  `maxItems` - The value that you provided for the `MaxItems` request parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListStreamingDistributionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`